unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, ZConnection, ZDataset, Forms, Controls, Graphics,
  Dialogs, Buttons, StdCtrls, LCLType, ExtCtrls, DBGrids, DbCtrls, Types, db,
  sqlite3conn, sqldb, LazUTF8, VersionSupport;

type

  { TForm1 }

  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBMemo1: TDBMemo;
    SQLite3Connection1: TSQLite3Connection;
    SQLQuery1: TSQLQuery;
    SQLQuery1AendDatum: TDateTimeField;
    SQLQuery1Geloescht: TLongintField;
    SQLQuery1ID: TAutoIncField;
    SQLQuery1IDGUID: TStringField;
    SQLQuery1IDGUIDT: TFloatField;
    SQLQuery1Land: TStringField;
    SQLQuery1ParName: TStringField;
    SQLQuery1ParNr: TLongintField;
    SQLQuery1ValFloat: TFloatField;
    SQLQuery1ValInt: TLongintField;
    SQLQuery1ValMemo: TMemoField;
    SQLQuery1ValText: TStringField;
    SQLTransaction1: TSQLTransaction;
    procedure FormCreate(Sender: TObject);
    procedure ZQuery1ValMemoGetText(Sender: TField; var aText: string;
      DisplayText: Boolean);

  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.ZQuery1ValMemoGetText(Sender: TField; var aText: string;
  DisplayText: Boolean);
var s: string;
begin
  s := StringReplace(Sender.AsString, LineEnding, '¶', [rfReplaceAll]);
  s := StringReplace(s, #13, '¶', [rfReplaceAll]);
  s := StringReplace(s, #10, '', [rfReplaceAll]);
  if Length(s) > 250 then
    aText := UTF8Copy(s, 1, 250) + '...'
  else  aText := s;
end;

procedure TForm1.FormCreate(Sender: TObject);
Var vInfo: TVersionInfo;
begin
  vInfo := TVersionInfo.Create;
  Caption := 'IDE: ' + vInfo.LCLFullVersion + ', ' + VInfo.CompilerInfo;
  vInfo.Free;
  SQLite3Connection1.Open;
  SQLQuery1.Open;
end;

end.

